library(gee)
library(lme4)


setwd("C:/Users/knapp/Documents/Guido/GemischteModelle/Datenstze")
respiratory <- read.table("Respiratory.txt", header=TRUE)
head(respiratory)

# Baselinewert soll erklrende Variable werden
resp <- subset(respiratory, month > "0")
resp$baseline <- rep(subset(respiratory, month == "0")$status, rep(4,111))
# Dummy-Variable fr status
resp$nstat <- as.numeric(resp$status == "good")
resp$subject <- as.factor(resp$subject)


resp_glm <- glm(status ~ centre + treatment + gender + baseline + age,
                data = resp, family = "binomial")
summary(resp_glm)

resp_gee1 <- gee(nstat ~ centre + treatment + gender + baseline + age,
                data = resp, family = "binomial", id = subject, 
                corstr = "independence", scale.fix= TRUE, scale.value = 1)
summary(resp_gee1)

resp_gee2 <- gee(nstat ~ centre + treatment + gender + baseline + age,
                data = resp, family = "binomial", id = subject, 
                corstr = "exchangeable", scale.fix= TRUE, scale.value = 1)
summary(resp_gee2)

se <- summary(resp_gee2)$coefficients["treatmenttreatment", "Robust S.E."]
# Konfidenzintervall mit robustem Standardfehler
coef(resp_gee2)["treatmenttreatment"] + c(-1,1) * se * qnorm(0.975)
# Als odds ausgedrckt
exp(coef(resp_gee2)["treatmenttreatment"] + c(-1,1) * se * qnorm(0.975))


